Bug 1775446

Summary: Review Request: python-jupyter-polymake - Jupyter kernel for polymake
Product: [Fedora] Fedora Reporter: Jerry James <loganjerry>
Component: Package ReviewAssignee: Zbigniew Jędrzejewski-Szmek <zbyszek>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zbyszek
Target Milestone: ---Flags: zbyszek: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-12-16 01:19:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1775445    
Bug Blocks:    

Description Jerry James 2019-11-22 01:26:16 UTC
Spec URL: https://jjames.fedorapeople.org/python-jupyter-polymake/python-jupyter-polymake.spec
SRPM URL: https://jjames.fedorapeople.org/python-jupyter-polymake/python-jupyter-polymake-0.16-1.20180129.7049940.fc32.src.rpm
Fedora Account System Username: jjames
Description: This package contains a Jupyter kernel for polymake.

This package is currently built as part of the polymake SRPM.  I am extracting it because it has a different version number and a different upstream from polymake.

Comment 1 Zbigniew Jędrzejewski-Szmek 2019-11-22 16:34:40 UTC
> Provides:       polymake-jupyter = 0.16-11
This should be "Provides: polymake-jupyter = %version-%release".

Looks good, but I'll wait for the dependent bug to be closed to recheck Requires/BuildRequires.

Comment 2 Jerry James 2019-11-25 05:04:13 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> > Provides:       polymake-jupyter = 0.16-11
> This should be "Provides: polymake-jupyter = %version-%release".

It can't be, because %version-%release is currently 0.16-1 and 0.16-1 < 0.16-11.  I could make the release version in this spec file be 11, of course, but my preference is to leave it as it is and change to the %version-%release form should upstream ever release a version with a number greater than 0.16.

> Looks good, but I'll wait for the dependent bug to be closed to recheck
> Requires/BuildRequires.

Thank you!  I appreciate it.  Let me know if you need any reviews.

Comment 3 Zbigniew Jędrzejewski-Szmek 2019-11-26 19:12:21 UTC
BuildRequires:  python3-devel is missing here too.

> I could make the release version in this spec file be 11

I think you need to do that, to preserve the upgrade path.
Also, this way it'll be clearer that this is newer than the old version to humans.

+ package name is OK
+ license is acceptable
+ license is specified correctly
+ builds and installs OK
+ fedora-review and rpmlint do not find issues (except the first one above)

Package is APPROVED. Please fix the two things during importing and doublecheck the upgrade path.

Comment 4 Jerry James 2019-11-26 20:15:24 UTC
Okay, I will fix those two things and do the double check as requested.  Thank you for the review.

Comment 5 Gwyn Ciesla 2019-11-26 21:03:48 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-jupyter-polymake

Comment 6 Fedora Update System 2019-11-29 18:11:39 UTC
FEDORA-2019-b9d4340b95 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b9d4340b95

Comment 7 Fedora Update System 2019-11-30 01:20:03 UTC
cocoalib-0.99650-1.fc31, giac-1.5.0.63-4.fc31, normaliz-3.8.3-1.fc31, polymake-3.6-1.fc31, python-jupymake-0.9-1.20190509.031cc3a.fc31, python-jupyter-polymake-0.16-11.20180129.7049940.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b9d4340b95

Comment 8 Fedora Update System 2019-12-02 18:32:48 UTC
FEDORA-2019-b9d4340b95 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b9d4340b95

Comment 9 Fedora Update System 2019-12-03 00:53:41 UTC
Singular-4.1.1p3-10.fc31, cocoalib-0.99650-1.fc31, giac-1.5.0.63-4.fc31, normaliz-3.8.3-1.fc31, polymake-3.6-1.fc31, python-jupymake-0.9-1.20190509.031cc3a.fc31, python-jupyter-polymake-0.16-11.20180129.7049940.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b9d4340b95

Comment 10 Fedora Update System 2019-12-07 17:10:52 UTC
FEDORA-2019-b9d4340b95 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b9d4340b95

Comment 11 Fedora Update System 2019-12-08 01:46:41 UTC
Singular-4.1.1p3-10.fc31, cocoalib-0.99650-1.fc31, giac-1.5.0.75-2.fc31, normaliz-3.8.3-1.fc31, polymake-3.6-1.fc31, python-jupymake-0.9-1.20190509.031cc3a.fc31, python-jupyter-polymake-0.16-11.20180129.7049940.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b9d4340b95

Comment 12 Fedora Update System 2019-12-16 01:19:11 UTC
Singular-4.1.1p3-10.fc31, cocoalib-0.99650-1.fc31, giac-1.5.0.75-2.fc31, normaliz-3.8.3-1.fc31, polymake-3.6-1.fc31, python-jupymake-0.9-1.20190509.031cc3a.fc31, python-jupyter-polymake-0.16-11.20180129.7049940.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.